Start a small molecule library screen
POST/compute/v1/small-molecule/library-screen
Screen a set of small molecule candidates against a protein target
Body Parameters
idempotency_key: optional string
Client-provided key to prevent duplicate submissions on retries
maxLength255
workspace_id: optional string
Target workspace ID (admin keys only; ignored for workspace keys)
Returns
id: string
Unique SmScreen identifier
completed_at: string
formatdate-time
created_at: string
formatdate-time
data_deleted_at: string
When the input, output, and result data was permanently deleted. Null if data has not been deleted.
formatdate-time
engine: "boltz-sm-screen"
Engine used for small molecule library screen
engine_version: string
Engine version used for small molecule library screen
livemode: boolean
Whether this resource was created with a live API key.
started_at: string
formatdate-time
stopped_at: string
formatdate-time
workspace_id: string
Workspace ID
idempotency_key: optional string
Client-provided idempotency key
Start a small molecule library screen
curl https://api.boltz.bio/compute/v1/small-molecule/library-screen \
-H 'Content-Type: application/json' \
-H "x-api-key: $BOLTZ_API_KEY" \
-d '{
"molecules": [
{
"smiles": "smiles"
}
],
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value"
}
]
}
}'{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"molecules": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"pocket_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"reference_ligands": [
"string"
]
},
"molecule_filters": {
"boltz_smarts_catalog_filter_level": "recommended",
"custom_filters": [
{
"max_hba": 0,
"max_hbd": 0,
"max_logp": 0,
"max_mw": 0,
"type": "lipinski_filter",
"allow_single_violation": true
}
]
}
},
"livemode": true,
"progress": {
"num_molecules_failed": 0,
"num_molecules_screened": 0,
"total_molecules_to_screen": 0,
"latest_result_id": "latest_result_id",
"rejection_summary": {
"filtered_count": 0,
"invalid_count": 0
}
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}Returns Examples
{
"id": "id",
"completed_at": "2019-12-27T18:11:19.117Z",
"created_at": "2019-12-27T18:11:19.117Z",
"data_deleted_at": "2019-12-27T18:11:19.117Z",
"engine": "boltz-sm-screen",
"engine_version": "engine_version",
"error": {
"code": "code",
"message": "message",
"details": {}
},
"input": {
"molecules": {
"url": "https://example.com",
"url_expires_at": "2019-12-27T18:11:19.117Z"
},
"target": {
"entities": [
{
"chain_ids": [
"string"
],
"type": "protein",
"value": "value",
"cyclic": true,
"modifications": [
{
"residue_index": 0,
"type": "ccd",
"value": "value"
}
]
}
],
"bonds": [
{
"atom1": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
},
"atom2": {
"atom_name": "atom_name",
"chain_id": "chain_id",
"type": "ligand_atom"
}
}
],
"constraints": [
{
"binder_chain_id": "binder_chain_id",
"contact_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"max_distance_angstrom": 0,
"type": "pocket",
"force": true
}
],
"pocket_residues": {
"A": [
42,
43,
44,
67,
68,
69
]
},
"reference_ligands": [
"string"
]
},
"molecule_filters": {
"boltz_smarts_catalog_filter_level": "recommended",
"custom_filters": [
{
"max_hba": 0,
"max_hbd": 0,
"max_logp": 0,
"max_mw": 0,
"type": "lipinski_filter",
"allow_single_violation": true
}
]
}
},
"livemode": true,
"progress": {
"num_molecules_failed": 0,
"num_molecules_screened": 0,
"total_molecules_to_screen": 0,
"latest_result_id": "latest_result_id",
"rejection_summary": {
"filtered_count": 0,
"invalid_count": 0
}
},
"started_at": "2019-12-27T18:11:19.117Z",
"status": "pending",
"stopped_at": "2019-12-27T18:11:19.117Z",
"workspace_id": "workspace_id",
"idempotency_key": "idempotency_key"
}